opensaml-3.0.1

Public Member Functions | List of all members
opensaml::saml2md::MetadataCredentialContext Class Reference

Metadata-based CredentialContext subclass. More...

`#include <saml/saml2/metadata/MetadataCredentialContext.h>`

Inheritance diagram for opensaml::saml2md::MetadataCredentialContext:
[legend]
Collaboration diagram for opensaml::saml2md::MetadataCredentialContext:
[legend]

## Public Member Functions
| MetadataCredentialContext (const KeyDescriptor &descriptor)
| Constructor. More...
const KeyDescriptor & | getKeyDescriptor () const
| Return the KeyDescriptor associated with the credential. More...

## Detailed Description

Metadata-based CredentialContext subclass.

## Constructor & Destructor Documentation

## ◆ MetadataCredentialContext()

opensaml::saml2md::MetadataCredentialContext::MetadataCredentialContext | ( | const KeyDescriptor & | descriptor | ) |

Constructor.

Parameters

  descriptor | source of metadata-supplied credential

## Member Function Documentation

## ◆ getKeyDescriptor()

const KeyDescriptor & opensaml::saml2md::MetadataCredentialContext::getKeyDescriptor | ( |  | ) | const

Return the KeyDescriptor associated with the credential.

Returns
  the associated KeyDescriptor

The documentation for this class was generated from the following file:

- saml/saml2/metadata/MetadataCredentialContext.h